Page MenuHomePhabricator

Tux shows some weird null when translating a CN banner
Closed, ResolvedPublic

Description

In [[ tux = 1 | the vile and damned interface of the extension Translate ]] there is some weird null appearing at the top when translating a CN banner: https://meta.wikimedia.org/w/index.php?title=Special:Translate&group=Centralnotice-tgroup-codfwMaintenanceSwitchover&filter=&action=translate&uselang=uk, which brightly manifests clumsiness of the interface to addition to all its other uncountable problems.

Event Timeline

Base created this task.Apr 19 2016, 12:20 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 19 2016, 12:20 AM
Nikerabbit triaged this task as Medium priority.Apr 20 2016, 1:44 PM
Nikerabbit added a subscriber: Nikerabbit.

This is likely a recent regression when I fixed the description not updating at all on changes. I can confirm that null appears for projects which don't have description.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 20 2016, 1:44 PM

Change 292342 had a related patch set uploaded (by Nikerabbit):
Do not show null as message group description

https://gerrit.wikimedia.org/r/292342

Change 292342 merged by jenkins-bot:
Do not show null as message group description

https://gerrit.wikimedia.org/r/292342

Arrbee closed this task as Resolved.Jun 14 2016, 7:24 AM